// priority: 7

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

//console.info('Loading custom recipes (Sequenced Assemblies)')

onEvent('recipes', event => {
	
	//1k Storage Part
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:1k_storage_part',
	], 'silents_mechanisms:circuit_board', [
		event.recipes.createDeploying('kubejs:incomplete_1k_storage_part', ['kubejs:incomplete_1k_storage_part', 'refinedstorage:silicon']),
		event.recipes.createPressing('kubejs:incomplete_1k_storage_part', ['kubejs:incomplete_1k_storage_part']),
		event.recipes.createDeploying('kubejs:incomplete_1k_storage_part', ['kubejs:incomplete_1k_storage_part', 'refinedstorage:quartz_enriched_iron']),
		event.recipes.createDeploying('kubejs:incomplete_1k_storage_part', ['kubejs:incomplete_1k_storage_part', 'silents_mechanisms:redstone_alloy_ingot']),
		event.recipes.createDeploying('kubejs:incomplete_1k_storage_part', ['kubejs:incomplete_1k_storage_part', '#forge:glass']),
		event.recipes.createPressing('kubejs:incomplete_1k_storage_part', ['kubejs:incomplete_1k_storage_part'])
	]).transitionalItem('kubejs:incomplete_1k_storage_part').loops(4)
	
	//4k Storage Part
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:4k_storage_part',
	], 'refinedstorage:1k_storage_part', [
		event.recipes.createDeploying('kubejs:incomplete_4k_storage_part', ['kubejs:incomplete_4k_storage_part', 'refinedstorage:1k_storage_part']),
		event.recipes.createPressing('kubejs:incomplete_4k_storage_part', ['kubejs:incomplete_4k_storage_part']),
		event.recipes.createDeploying('kubejs:incomplete_4k_storage_part', ['kubejs:incomplete_4k_storage_part', 'refinedstorage:quartz_enriched_iron']),
		event.recipes.createDeploying('kubejs:incomplete_4k_storage_part', ['kubejs:incomplete_4k_storage_part', 'refinedstorage:basic_processor']),
		event.recipes.createDeploying('kubejs:incomplete_4k_storage_part', ['kubejs:incomplete_4k_storage_part', '#forge:glass']),
		event.recipes.createPressing('kubejs:incomplete_4k_storage_part', ['kubejs:incomplete_4k_storage_part'])
	]).transitionalItem('kubejs:incomplete_4k_storage_part').loops(4)
	
	//16k Storage Part
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:16k_storage_part',
	], 'refinedstorage:4k_storage_part', [
		event.recipes.createDeploying('kubejs:incomplete_16k_storage_part', ['kubejs:incomplete_16k_storage_part', 'refinedstorage:4k_storage_part']),
		event.recipes.createPressing('kubejs:incomplete_16k_storage_part', ['kubejs:incomplete_16k_storage_part']),
		event.recipes.createDeploying('kubejs:incomplete_16k_storage_part', ['kubejs:incomplete_16k_storage_part', 'refinedstorage:quartz_enriched_iron']),
		event.recipes.createDeploying('kubejs:incomplete_16k_storage_part', ['kubejs:incomplete_16k_storage_part', 'refinedstorage:improved_processor']),
		event.recipes.createDeploying('kubejs:incomplete_16k_storage_part', ['kubejs:incomplete_16k_storage_part', '#forge:glass']),
		event.recipes.createPressing('kubejs:incomplete_16k_storage_part', ['kubejs:incomplete_16k_storage_part'])
	]).transitionalItem('kubejs:incomplete_16k_storage_part').loops(4)
	
	//64k Storage Part
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:64k_storage_part',
	], 'refinedstorage:16k_storage_part', [
		event.recipes.createDeploying('kubejs:incomplete_64k_storage_part', ['kubejs:incomplete_64k_storage_part', 'refinedstorage:16k_storage_part']),
		event.recipes.createPressing('kubejs:incomplete_64k_storage_part', ['kubejs:incomplete_64k_storage_part']),
		event.recipes.createDeploying('kubejs:incomplete_64k_storage_part', ['kubejs:incomplete_64k_storage_part', 'refinedstorage:quartz_enriched_iron']),
		event.recipes.createDeploying('kubejs:incomplete_64k_storage_part', ['kubejs:incomplete_64k_storage_part', 'refinedstorage:advanced_processor']),
		event.recipes.createDeploying('kubejs:incomplete_64k_storage_part', ['kubejs:incomplete_64k_storage_part', '#forge:glass']),
		event.recipes.createPressing('kubejs:incomplete_64k_storage_part', ['kubejs:incomplete_64k_storage_part'])
	]).transitionalItem('kubejs:incomplete_64k_storage_part').loops(4)
	
	//64k Fluid Storage Part
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:64k_fluid_storage_part',
	], 'silents_mechanisms:circuit_board', [
		event.recipes.createDeploying('kubejs:incomplete_64k_fluid_storage_part', ['kubejs:incomplete_64k_fluid_storage_part', 'refinedstorage:silicon']),
		event.recipes.createPressing('kubejs:incomplete_64k_fluid_storage_part', ['kubejs:incomplete_64k_fluid_storage_part']),
		event.recipes.createDeploying('kubejs:incomplete_64k_fluid_storage_part', ['kubejs:incomplete_64k_fluid_storage_part', 'immersiveengineering:jerrycan']),
		event.recipes.createDeploying('kubejs:incomplete_64k_fluid_storage_part', ['kubejs:incomplete_64k_fluid_storage_part', 'silents_mechanisms:redstone_alloy_ingot']),
		event.recipes.createDeploying('kubejs:incomplete_64k_fluid_storage_part', ['kubejs:incomplete_64k_fluid_storage_part', '#forge:glass']),
		event.recipes.createPressing('kubejs:incomplete_64k_fluid_storage_part', ['kubejs:incomplete_64k_fluid_storage_part'])
	]).transitionalItem('kubejs:incomplete_64k_fluid_storage_part').loops(4)
	
	//256k Fluid Storage Part
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:256k_fluid_storage_part',
	], 'refinedstorage:64k_fluid_storage_part', [
		event.recipes.createDeploying('kubejs:incomplete_256k_fluid_storage_part', ['kubejs:incomplete_256k_fluid_storage_part', 'refinedstorage:64k_fluid_storage_part']),
		event.recipes.createPressing('kubejs:incomplete_256k_fluid_storage_part', ['kubejs:incomplete_256k_fluid_storage_part']),
		event.recipes.createDeploying('kubejs:incomplete_256k_fluid_storage_part', ['kubejs:incomplete_256k_fluid_storage_part', 'immersiveengineering:jerrycan']),
		event.recipes.createDeploying('kubejs:incomplete_256k_fluid_storage_part', ['kubejs:incomplete_256k_fluid_storage_part', 'refinedstorage:basic_processor']),
		event.recipes.createDeploying('kubejs:incomplete_256k_fluid_storage_part', ['kubejs:incomplete_256k_fluid_storage_part', '#forge:glass']),
		event.recipes.createPressing('kubejs:incomplete_256k_fluid_storage_part', ['kubejs:incomplete_256k_fluid_storage_part'])
	]).transitionalItem('kubejs:incomplete_256k_fluid_storage_part').loops(4)
	
	//1024k Fluid Storage Part
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:1024k_fluid_storage_part',
	], 'refinedstorage:256k_fluid_storage_part', [
		event.recipes.createDeploying('kubejs:incomplete_1024k_fluid_storage_part', ['kubejs:incomplete_1024k_fluid_storage_part', 'refinedstorage:256k_fluid_storage_part']),
		event.recipes.createPressing('kubejs:incomplete_1024k_fluid_storage_part', ['kubejs:incomplete_1024k_fluid_storage_part']),
		event.recipes.createDeploying('kubejs:incomplete_1024k_fluid_storage_part', ['kubejs:incomplete_1024k_fluid_storage_part', 'immersiveengineering:jerrycan']),
		event.recipes.createDeploying('kubejs:incomplete_1024k_fluid_storage_part', ['kubejs:incomplete_1024k_fluid_storage_part', 'refinedstorage:improved_processor']),
		event.recipes.createDeploying('kubejs:incomplete_1024k_fluid_storage_part', ['kubejs:incomplete_1024k_fluid_storage_part', '#forge:glass']),
		event.recipes.createPressing('kubejs:incomplete_1024k_fluid_storage_part', ['kubejs:incomplete_1024k_fluid_storage_part'])
	]).transitionalItem('kubejs:incomplete_1024k_fluid_storage_part').loops(4)
	
	//4096k Fluid Storage Part
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:4096k_fluid_storage_part',
	], 'refinedstorage:1024k_fluid_storage_part', [
		event.recipes.createDeploying('kubejs:incomplete_4096k_fluid_storage_part', ['kubejs:incomplete_4096k_fluid_storage_part', 'refinedstorage:1024k_fluid_storage_part']),
		event.recipes.createPressing('kubejs:incomplete_4096k_fluid_storage_part', ['kubejs:incomplete_4096k_fluid_storage_part']),
		event.recipes.createDeploying('kubejs:incomplete_4096k_fluid_storage_part', ['kubejs:incomplete_4096k_fluid_storage_part', 'immersiveengineering:jerrycan']),
		event.recipes.createDeploying('kubejs:incomplete_4096k_fluid_storage_part', ['kubejs:incomplete_4096k_fluid_storage_part', 'refinedstorage:advanced_processor']),
		event.recipes.createDeploying('kubejs:incomplete_4096k_fluid_storage_part', ['kubejs:incomplete_4096k_fluid_storage_part', '#forge:glass']),
		event.recipes.createPressing('kubejs:incomplete_4096k_fluid_storage_part', ['kubejs:incomplete_4096k_fluid_storage_part'])
	]).transitionalItem('kubejs:incomplete_4096k_fluid_storage_part').loops(4)
	
	//Cable Recipe
	
	event.recipes.createSequencedAssembly([
		'refinedstorage:cable',
	], 'silents_mechanisms:wire', [
		event.recipes.createDeploying('kubejs:incomplete_cable', ['kubejs:incomplete_cable', 'minecraft:redstone']),
		event.recipes.createDeploying('kubejs:incomplete_cable', ['kubejs:incomplete_cable', 'refinedstorage:quartz_enriched_iron']),
		event.recipes.createDeploying('kubejs:incomplete_cable', ['kubejs:incomplete_cable', '#forge:glass_panes']),
		event.recipes.createPressing('kubejs:incomplete_cable', ['kubejs:incomplete_cable'])
	]).transitionalItem('kubejs:incomplete_cable').loops(1)
		
})